(*********************************)
(*** FERMION AND SCALAR FIELDS ***)
(*********************************)

M$MajoranaFields = {

(*--------------------------*)
(*** ScSM Majorana fields ***)
(*--------------------------*)

F[10] == {
	ClassName		-> N1,
	SelfConjugate 	-> True,
	Mass            -> {mN1, 135.},
	Width           -> {WN1, 0.},
	ParticleName    -> "N1"}
};

M$ScalarFields = {

(*----------------------*)
(*** SM scalar fields ***)
(*----------------------*)

(* Physical Higgs: Q = 0 *) 
S[1] == {
	ClassName        -> h,
	SelfConjugate    -> True,
	Indices          -> {},
	Mass             -> {mH, 125.09},
	Width            -> {WH, 1.},
	ParticleName     -> "h",
	PDG              -> 25,
	PropagatorLabel  -> "h",
	PropagatorType   -> ScalarDash,
	PropagatorArrow  -> None},

(*------------------------*)
(*** ScSM scalar fields ***)
(*------------------------*)

(* Charged scalar from new doublet *)
S[4] == {
	ClassName        -> phich,
	SelfConjugate    -> False,
	QuantumNumbers	 -> {Q -> 1},
	Mass             -> {mphich, 400.},
	Width            -> {Wphich, 1.},
	ParticleName     -> "h+",
	AntiParticleName -> "h-"}

};
