(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)
(*                                                                             *)
(*         This file has been automatically generated by FeynRules.            *)
(*                                                                             *)
(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)


FR$ModelInformation={
  ModelName->"MLDM_real",
  Authors -> {"Adil Jueid"},
  Version -> "1.0",
  Date -> "14-11-2022",
  Institutions -> {"Center for Theoretical Physics of the Universe"},
  Emails -> {"adiljueid@ibs.re.kr"},
  URLs -> {"Ongoing"}};

FR$ClassesTranslation={ve -> F[1], vm -> F[2], vt -> F[3], e -> F[4], m -> F[5], ta -> F[6], u -> F[7], c -> F[8], t -> F[9], d -> F[10], s -> F[11], b -> F[12], A -> V[1], Z -> V[2], W -> V[3], G -> V[4], ghA -> U[1], ghZ -> U[2], ghWp -> U[3], ghWm -> U[4], ghG -> U[5], N1 -> F[13], h -> S[1], phich -> S[2]};

FR$InteractionOrderPerturbativeExpansion={{NP, 0}, {QCD, 0}, {QED, 0}};

FR$GoldstoneList={};

(*     Declared indices    *)

IndexRange[ Index[Generation] ] = Range[ 3 ]

IndexRange[ Index[Colour] ] = NoUnfold[ Range[ 3 ] ]

IndexRange[ Index[Gluon] ] = NoUnfold[ Range[ 8 ] ]

IndexRange[ Index[SU2W] ] = Range[ 3 ]

(*     Declared particles    *)

M$ClassesDescription = {
F[1] == {
    SelfConjugate -> False,
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> Mnue,
    Indices -> {},
    PropagatorLabel -> "ve" },

F[2] == {
    SelfConjugate -> False,
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> Mnum,
    Indices -> {},
    PropagatorLabel -> "vm" },

F[3] == {
    SelfConjugate -> False,
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> Mnut,
    Indices -> {},
    PropagatorLabel -> "vt" },

F[4] == {
    SelfConjugate -> False,
    QuantumNumbers -> {-Q},
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> Me,
    Indices -> {},
    PropagatorLabel -> "e" },

F[5] == {
    SelfConjugate -> False,
    QuantumNumbers -> {-Q},
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> MM,
    Indices -> {},
    PropagatorLabel -> "m" },

F[6] == {
    SelfConjugate -> False,
    QuantumNumbers -> {-Q},
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> MTA,
    Indices -> {},
    PropagatorLabel -> "ta" },

F[7] == {
    SelfConjugate -> False,
    QuantumNumbers -> {(2*Q)/3},
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> MU,
    Indices -> {Index[Colour]},
    PropagatorLabel -> "u" },

F[8] == {
    SelfConjugate -> False,
    QuantumNumbers -> {(2*Q)/3},
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> MC,
    Indices -> {Index[Colour]},
    PropagatorLabel -> "c" },

F[9] == {
    SelfConjugate -> False,
    QuantumNumbers -> {(2*Q)/3},
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> MT,
    Indices -> {Index[Colour]},
    PropagatorLabel -> "t" },

F[10] == {
    SelfConjugate -> False,
    QuantumNumbers -> {-1/3*Q},
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> MD,
    Indices -> {Index[Colour]},
    PropagatorLabel -> "d" },

F[11] == {
    SelfConjugate -> False,
    QuantumNumbers -> {-1/3*Q},
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> MS,
    Indices -> {Index[Colour]},
    PropagatorLabel -> "s" },

F[12] == {
    SelfConjugate -> False,
    QuantumNumbers -> {-1/3*Q},
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> MB,
    Indices -> {Index[Colour]},
    PropagatorLabel -> "b" },

V[1] == {
    SelfConjugate -> True,
    PropagatorType -> Sine,
    PropagatorArrow -> None,
    Mass -> 0,
    Indices -> {},
    PropagatorLabel -> "A" },

V[2] == {
    SelfConjugate -> True,
    PropagatorType -> Sine,
    PropagatorArrow -> None,
    Mass -> MZ,
    Indices -> {},
    PropagatorLabel -> "Z" },

V[3] == {
    SelfConjugate -> False,
    QuantumNumbers -> {Q},
    PropagatorType -> Sine,
    PropagatorArrow -> Forward,
    Mass -> MW,
    Indices -> {},
    PropagatorLabel -> "W" },

V[4] == {
    SelfConjugate -> True,
    PropagatorType -> Cycles,
    PropagatorArrow -> None,
    Mass -> 0,
    Indices -> {Index[Gluon]},
    PropagatorLabel -> "G" },

U[1] == {
    SelfConjugate -> False,
    QuantumNumbers -> {GhostNumber},
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> 0,
    Indices -> {},
    PropagatorLabel -> "ghA" },

U[2] == {
    SelfConjugate -> False,
    QuantumNumbers -> {GhostNumber},
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> MZ,
    Indices -> {},
    PropagatorLabel -> "ghZ" },

U[3] == {
    SelfConjugate -> False,
    QuantumNumbers -> {Q, GhostNumber},
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> MW,
    Indices -> {},
    PropagatorLabel -> "ghWp" },

U[4] == {
    SelfConjugate -> False,
    QuantumNumbers -> {-Q, GhostNumber},
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> MW,
    Indices -> {},
    PropagatorLabel -> "ghWm" },

U[5] == {
    SelfConjugate -> False,
    QuantumNumbers -> {GhostNumber},
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> 0,
    Indices -> {Index[Gluon]},
    PropagatorLabel -> "ghG" },

F[13] == {
    SelfConjugate -> True,
    PropagatorType -> Straight,
    PropagatorArrow -> None,
    Mass -> mN1,
    Indices -> {},
    PropagatorLabel -> "N1" },

S[1] == {
    SelfConjugate -> True,
    PropagatorType -> ScalarDash,
    PropagatorArrow -> None,
    Mass -> mH,
    Indices -> {},
    PropagatorLabel -> "h" },

S[2] == {
    SelfConjugate -> False,
    QuantumNumbers -> {Q},
    PropagatorType -> ScalarDash,
    PropagatorArrow -> Forward,
    Mass -> mphich,
    Indices -> {},
    PropagatorLabel -> "phich" }
}


(*        Definitions       *)

GaugeXi[ F[13] ] = GaugeXi[F[10]];
GaugeXi[ S[2] ] = GaugeXi[S[4]];

Mnue[ ___ ] := Mnue;
Mnum[ ___ ] := Mnum;
Mnut[ ___ ] := Mnut;
Me[ ___ ] := Me;
MM[ ___ ] := MM;
MTA[ ___ ] := MTA;
MU[ ___ ] := MU;
MC[ ___ ] := MC;
MT[ ___ ] := MT;
MD[ ___ ] := MD;
MS[ ___ ] := MS;
MB[ ___ ] := MB;
MZ[ ___ ] := MZ;
MW[ ___ ] := MW;
mN1[ ___ ] := mN1;
mH[ ___ ] := mH;
mphich[ ___ ] := mphich;


TheLabel[ F[7, {__}] ] := TheLabel[F[7]];
TheLabel[ F[8, {__}] ] := TheLabel[F[8]];
TheLabel[ F[9, {__}] ] := TheLabel[F[9]];
TheLabel[ F[10, {__}] ] := TheLabel[F[10]];
TheLabel[ F[11, {__}] ] := TheLabel[F[11]];
TheLabel[ F[12, {__}] ] := TheLabel[F[12]];
TheLabel[ V[4, {__}] ] := TheLabel[V[4]];
TheLabel[ U[5, {__}] ] := TheLabel[U[5]];


(*      Couplings (calculated by FeynRules)      *)

M$CouplingMatrices = {

C[ S[1] , S[1] , S[1] , S[1] ] == {{(-6*I)*lH, 0}},

C[ S[1] , S[1] , S[2] , -S[2] ] == {{(-I)*lam3, 0}},

C[ S[2] , S[2] , -S[2] , -S[2] ] == {{(-4*I)*lPhi, 0}},

C[ S[1] , S[1] , S[1] ] == {{(-6*I)*lH*v, 0}},

C[ S[1] , S[2] , -S[2] ] == {{(-I)*lam3*v, 0}},

C[ S[2] , -S[2] , V[1] , V[1] ] == {{(2*I)*EL^2, 0}},

C[ S[2] , -S[2] , V[1] ] == {{(-I)*gc7, 0}, {I*gc7, 0}},

C[ -F[4] , F[13] , -S[2] ] == {{I*gc8, 0}, {I*gc8, 0}},

C[ -F[5] , F[13] , -S[2] ] == {{I*gc9, 0}, {I*gc9, 0}},

C[ F[13] , F[4] , S[2] ] == {{I*gc10, 0}, {I*gc10, 0}},

C[ F[13] , F[5] , S[2] ] == {{I*gc11, 0}, {I*gc11, 0}},

C[ F[13] , F[6] , S[2] ] == {{I*gc12, 0}, {I*gc12, 0}},

C[ -F[6] , F[13] , -S[2] ] == {{I*gc13, 0}, {I*gc13, 0}},

C[ -U[5, {e1x1}] , U[5, {e2x1}] , V[4, {e3x2}] ] == {{gc14*SUNF[e3x2, e1x1, e2x1], 0}, {gc14*SUNF[e3x2, e1x1, e2x1], 0}, {0, 0}},

C[ V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] ] == {{-(gc15*SUNF[e1x2, e2x2, e3x2]), 0}, {gc15*SUNF[e1x2, e2x2, e3x2], 0}, {gc15*SUNF[e1x2, e2x2, e3x2], 0}, {-(gc15*SUNF[e1x2, e2x2, e3x2]), 0}, {-(gc15*SUNF[e1x2, e2x2, e3x2]), 0}, {gc15*SUNF[e1x2, e2x2, e3x2], 0}},

C[ V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{(-I)*gc16*(SUNF[e1x2, e2x2, e3x2, e4x2] + SUNF[e1x2, e3x2, e2x2, e4x2]), 0}, {I*gc16*(SUNF[e1x2, e2x2, e3x2, e4x2] - SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {I*gc16*(SUNF[e1x2, e3x2, e2x2, e4x2] + SUNF[e1x2, e4x2, e2x2, e3x2]), 0}},

C[ -F[12, {e1x2}] , F[12, {e2x2}] , S[1] ] == {{I*gc17*IndexDelta[e1x2, e2x2], 0}, {I*gc17*IndexDelta[e1x2, e2x2], 0}},

C[ -F[10, {e1x2}] , F[10, {e2x2}] , S[1] ] == {{I*gc18*IndexDelta[e1x2, e2x2], 0}, {I*gc18*IndexDelta[e1x2, e2x2], 0}},

C[ -F[11, {e1x2}] , F[11, {e2x2}] , S[1] ] == {{I*gc19*IndexDelta[e1x2, e2x2], 0}, {I*gc19*IndexDelta[e1x2, e2x2], 0}},

C[ -F[4] , F[4] , S[1] ] == {{I*gc20, 0}, {I*gc20, 0}},

C[ -F[5] , F[5] , S[1] ] == {{I*gc21, 0}, {I*gc21, 0}},

C[ -F[6] , F[6] , S[1] ] == {{I*gc22, 0}, {I*gc22, 0}},

C[ -F[8, {e1x2}] , F[8, {e2x2}] , S[1] ] == {{I*gc23*IndexDelta[e1x2, e2x2], 0}, {I*gc23*IndexDelta[e1x2, e2x2], 0}},

C[ -F[9, {e1x2}] , F[9, {e2x2}] , S[1] ] == {{I*gc24*IndexDelta[e1x2, e2x2], 0}, {I*gc24*IndexDelta[e1x2, e2x2], 0}},

C[ -F[7, {e1x2}] , F[7, {e2x2}] , S[1] ] == {{I*gc25*IndexDelta[e1x2, e2x2], 0}, {I*gc25*IndexDelta[e1x2, e2x2], 0}},

C[ -F[12, {e1x2}] , F[12, {e2x2}] , V[4, {e3x2}] ] == {{I*gc26*SUNT[e3x2, e1x2, e2x2], 0}, {I*gc26*SUNT[e3x2, e1x2, e2x2], 0}},

C[ -F[10, {e1x2}] , F[10, {e2x2}] , V[4, {e3x2}] ] == {{I*gc27*SUNT[e3x2, e1x2, e2x2], 0}, {I*gc27*SUNT[e3x2, e1x2, e2x2], 0}},

C[ -F[11, {e1x2}] , F[11, {e2x2}] , V[4, {e3x2}] ] == {{I*gc28*SUNT[e3x2, e1x2, e2x2], 0}, {I*gc28*SUNT[e3x2, e1x2, e2x2], 0}},

C[ -F[8, {e1x2}] , F[8, {e2x2}] , V[4, {e3x2}] ] == {{I*gc29*SUNT[e3x2, e1x2, e2x2], 0}, {I*gc29*SUNT[e3x2, e1x2, e2x2], 0}},

C[ -F[9, {e1x2}] , F[9, {e2x2}] , V[4, {e3x2}] ] == {{I*gc30*SUNT[e3x2, e1x2, e2x2], 0}, {I*gc30*SUNT[e3x2, e1x2, e2x2], 0}},

C[ -F[7, {e1x2}] , F[7, {e2x2}] , V[4, {e3x2}] ] == {{I*gc31*SUNT[e3x2, e1x2, e2x2], 0}, {I*gc31*SUNT[e3x2, e1x2, e2x2], 0}},

C[ V[1] , V[3] , -V[3] ] == {{(-I)*gc32, 0}, {I*gc32, 0}, {I*gc32, 0}, {(-I)*gc32, 0}, {(-I)*gc32, 0}, {I*gc32, 0}},

C[ S[1] , S[1] , V[3] , -V[3] ] == {{((I/2)*EL^2)/SW^2, 0}},

C[ S[1] , V[3] , -V[3] ] == {{((I/2)*EL^2*v)/SW^2, 0}},

C[ V[1] , V[1] , V[3] , -V[3] ] == {{(-I)*gc35, 0}, {(-I)*gc35, 0}, {(2*I)*gc35, 0}},

C[ V[3] , -V[3] , V[2] ] == {{(-I)*gc36, 0}, {I*gc36, 0}, {I*gc36, 0}, {(-I)*gc36, 0}, {(-I)*gc36, 0}, {I*gc36, 0}},

C[ V[3] , V[3] , -V[3] , -V[3] ] == {{(-I)*gc37, 0}, {(-I)*gc37, 0}, {(2*I)*gc37, 0}},

C[ S[2] , -S[2] , V[1] , V[2] ] == {{((-2*I)*EL^2*SW)/CW, 0}},

C[ S[2] , -S[2] , V[2] ] == {{(-I)*gc39, 0}, {I*gc39, 0}},

C[ V[1] , V[3] , -V[3] , V[2] ] == {{(-2*I)*gc40, 0}, {I*gc40, 0}, {I*gc40, 0}},

C[ S[1] , S[1] , V[2] , V[2] ] == {{((I/2)*EL^2*(CW^2 + SW^2)^2)/(CW^2*SW^2), 0}},

C[ S[2] , -S[2] , V[2] , V[2] ] == {{((2*I)*EL^2*SW^2)/CW^2, 0}},

C[ S[1] , V[2] , V[2] ] == {{((I/2)*EL^2*(CW^2 + SW^2)^2*v)/(CW^2*SW^2), 0}},

C[ V[3] , -V[3] , V[2] , V[2] ] == {{(-I)*gc44, 0}, {(-I)*gc44, 0}, {(2*I)*gc44, 0}},

C[ -F[12, {e1x2}] , F[12, {e2x2}] , V[1] ] == {{I*gc45*IndexDelta[e1x2, e2x2], 0}, {I*gc45*IndexDelta[e1x2, e2x2], 0}},

C[ -F[10, {e1x2}] , F[10, {e2x2}] , V[1] ] == {{I*gc46*IndexDelta[e1x2, e2x2], 0}, {I*gc46*IndexDelta[e1x2, e2x2], 0}},

C[ -F[11, {e1x2}] , F[11, {e2x2}] , V[1] ] == {{I*gc47*IndexDelta[e1x2, e2x2], 0}, {I*gc47*IndexDelta[e1x2, e2x2], 0}},

C[ -F[4] , F[4] , V[1] ] == {{I*gc48, 0}, {I*gc48, 0}},

C[ -F[5] , F[5] , V[1] ] == {{I*gc49, 0}, {I*gc49, 0}},

C[ -F[6] , F[6] , V[1] ] == {{I*gc50, 0}, {I*gc50, 0}},

C[ -F[8, {e1x2}] , F[8, {e2x2}] , V[1] ] == {{I*gc51*IndexDelta[e1x2, e2x2], 0}, {I*gc51*IndexDelta[e1x2, e2x2], 0}},

C[ -F[9, {e1x2}] , F[9, {e2x2}] , V[1] ] == {{I*gc52*IndexDelta[e1x2, e2x2], 0}, {I*gc52*IndexDelta[e1x2, e2x2], 0}},

C[ -F[7, {e1x2}] , F[7, {e2x2}] , V[1] ] == {{I*gc53*IndexDelta[e1x2, e2x2], 0}, {I*gc53*IndexDelta[e1x2, e2x2], 0}},

C[ -F[1] , F[4] , V[3] ] == {{I*gc54, 0}, {0, 0}},

C[ -F[2] , F[5] , V[3] ] == {{I*gc55, 0}, {0, 0}},

C[ -F[3] , F[6] , V[3] ] == {{I*gc56, 0}, {0, 0}},

C[ -F[8, {e1x2}] , F[12, {e2x2}] , V[3] ] == {{I*gc57*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ -F[8, {e1x2}] , F[10, {e2x2}] , V[3] ] == {{I*gc58*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ -F[8, {e1x2}] , F[11, {e2x2}] , V[3] ] == {{I*gc59*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ -F[9, {e1x2}] , F[12, {e2x2}] , V[3] ] == {{I*gc60*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ -F[9, {e1x2}] , F[10, {e2x2}] , V[3] ] == {{I*gc61*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ -F[9, {e1x2}] , F[11, {e2x2}] , V[3] ] == {{I*gc62*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ -F[7, {e1x2}] , F[12, {e2x2}] , V[3] ] == {{I*gc63*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ -F[7, {e1x2}] , F[10, {e2x2}] , V[3] ] == {{I*gc64*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ -F[7, {e1x2}] , F[11, {e2x2}] , V[3] ] == {{I*gc65*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ -F[4] , F[1] , -V[3] ] == {{I*gc66, 0}, {0, 0}},

C[ -F[5] , F[2] , -V[3] ] == {{I*gc67, 0}, {0, 0}},

C[ -F[6] , F[3] , -V[3] ] == {{I*gc68, 0}, {0, 0}},

C[ -F[12, {e1x2}] , F[8, {e2x2}] , -V[3] ] == {{I*gc69*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ -F[12, {e1x2}] , F[9, {e2x2}] , -V[3] ] == {{I*gc70*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ -F[12, {e1x2}] , F[7, {e2x2}] , -V[3] ] == {{I*gc71*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ -F[10, {e1x2}] , F[8, {e2x2}] , -V[3] ] == {{I*gc72*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ -F[10, {e1x2}] , F[9, {e2x2}] , -V[3] ] == {{I*gc73*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ -F[10, {e1x2}] , F[7, {e2x2}] , -V[3] ] == {{I*gc74*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ -F[11, {e1x2}] , F[8, {e2x2}] , -V[3] ] == {{I*gc75*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ -F[11, {e1x2}] , F[9, {e2x2}] , -V[3] ] == {{I*gc76*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ -F[11, {e1x2}] , F[7, {e2x2}] , -V[3] ] == {{I*gc77*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ -F[12, {e1x2}] , F[12, {e2x2}] , V[2] ] == {{I*gc78L*IndexDelta[e1x2, e2x2], 0}, {I*gc78R*IndexDelta[e1x2, e2x2], 0}},

C[ -F[10, {e1x2}] , F[10, {e2x2}] , V[2] ] == {{I*gc79L*IndexDelta[e1x2, e2x2], 0}, {I*gc79R*IndexDelta[e1x2, e2x2], 0}},

C[ -F[11, {e1x2}] , F[11, {e2x2}] , V[2] ] == {{I*gc80L*IndexDelta[e1x2, e2x2], 0}, {I*gc80R*IndexDelta[e1x2, e2x2], 0}},

C[ -F[4] , F[4] , V[2] ] == {{I*gc81L, 0}, {I*gc81R, 0}},

C[ -F[5] , F[5] , V[2] ] == {{I*gc82L, 0}, {I*gc82R, 0}},

C[ -F[6] , F[6] , V[2] ] == {{I*gc83L, 0}, {I*gc83R, 0}},

C[ -F[8, {e1x2}] , F[8, {e2x2}] , V[2] ] == {{I*gc84L*IndexDelta[e1x2, e2x2], 0}, {I*gc84R*IndexDelta[e1x2, e2x2], 0}},

C[ -F[9, {e1x2}] , F[9, {e2x2}] , V[2] ] == {{I*gc85L*IndexDelta[e1x2, e2x2], 0}, {I*gc85R*IndexDelta[e1x2, e2x2], 0}},

C[ -F[7, {e1x2}] , F[7, {e2x2}] , V[2] ] == {{I*gc86L*IndexDelta[e1x2, e2x2], 0}, {I*gc86R*IndexDelta[e1x2, e2x2], 0}},

C[ -F[1] , F[1] , V[2] ] == {{I*gc87, 0}, {0, 0}},

C[ -F[2] , F[2] , V[2] ] == {{I*gc88, 0}, {0, 0}},

C[ -F[3] , F[3] , V[2] ] == {{I*gc89, 0}, {0, 0}}

}

(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)

(* Parameter replacement lists (These lists were created by FeynRules) *)

(* FA Couplings *)

M$FACouplings = {
     gc7 -> -EL,
     gc8 -> -y1e,
     gc9 -> -y1m,
     gc10 -> -y1e,
     gc11 -> -y1m,
     gc12 -> -y1t,
     gc13 -> -y1t,
     gc14 -> GS,
     gc15 -> -GS,
     gc16 -> -GS^2,
     gc17 -> -(MB/v),
     gc18 -> -(MD/v),
     gc19 -> -(MS/v),
     gc20 -> -(Me/v),
     gc21 -> -(MM/v),
     gc22 -> -(MTA/v),
     gc23 -> -(MC/v),
     gc24 -> -(MT/v),
     gc25 -> -(MU/v),
     gc26 -> GS,
     gc27 -> GS,
     gc28 -> GS,
     gc29 -> GS,
     gc30 -> GS,
     gc31 -> GS,
     gc32 -> EL,
     gc35 -> -EL^2,
     gc36 -> (CW*EL)/SW,
     gc37 -> EL^2/SW^2,
     gc39 -> (EL*SW)/CW,
     gc40 -> (CW*EL^2)/SW,
     gc44 -> -((CW^2*EL^2)/SW^2),
     gc45 -> -1/3*EL,
     gc46 -> -1/3*EL,
     gc47 -> -1/3*EL,
     gc48 -> -EL,
     gc49 -> -EL,
     gc50 -> -EL,
     gc51 -> (2*EL)/3,
     gc52 -> (2*EL)/3,
     gc53 -> (2*EL)/3,
     gc54 -> EL/(Sqrt[2]*SW),
     gc55 -> EL/(Sqrt[2]*SW),
     gc56 -> EL/(Sqrt[2]*SW),
     gc57 -> (CKM2x3*EL)/(Sqrt[2]*SW),
     gc58 -> (CKM2x1*EL)/(Sqrt[2]*SW),
     gc59 -> (CKM2x2*EL)/(Sqrt[2]*SW),
     gc60 -> (CKM3x3*EL)/(Sqrt[2]*SW),
     gc61 -> (CKM3x1*EL)/(Sqrt[2]*SW),
     gc62 -> (CKM3x2*EL)/(Sqrt[2]*SW),
     gc63 -> (CKM1x3*EL)/(Sqrt[2]*SW),
     gc64 -> (CKM1x1*EL)/(Sqrt[2]*SW),
     gc65 -> (CKM1x2*EL)/(Sqrt[2]*SW),
     gc66 -> EL/(Sqrt[2]*SW),
     gc67 -> EL/(Sqrt[2]*SW),
     gc68 -> EL/(Sqrt[2]*SW),
     gc69 -> (EL*Conjugate[CKM2x3])/(Sqrt[2]*SW),
     gc70 -> (EL*Conjugate[CKM3x3])/(Sqrt[2]*SW),
     gc71 -> (EL*Conjugate[CKM1x3])/(Sqrt[2]*SW),
     gc72 -> (EL*Conjugate[CKM2x1])/(Sqrt[2]*SW),
     gc73 -> (EL*Conjugate[CKM3x1])/(Sqrt[2]*SW),
     gc74 -> (EL*Conjugate[CKM1x1])/(Sqrt[2]*SW),
     gc75 -> (EL*Conjugate[CKM2x2])/(Sqrt[2]*SW),
     gc76 -> (EL*Conjugate[CKM3x2])/(Sqrt[2]*SW),
     gc77 -> (EL*Conjugate[CKM1x2])/(Sqrt[2]*SW),
     gc78L -> -1/6*(EL*(3*CW^2 + SW^2))/(CW*SW),
     gc78R -> (EL*SW)/(3*CW),
     gc79L -> -1/6*(EL*(3*CW^2 + SW^2))/(CW*SW),
     gc79R -> (EL*SW)/(3*CW),
     gc80L -> -1/6*(EL*(3*CW^2 + SW^2))/(CW*SW),
     gc80R -> (EL*SW)/(3*CW),
     gc81L -> -1/2*(EL*(CW^2 - SW^2))/(CW*SW),
     gc81R -> (EL*SW)/CW,
     gc82L -> -1/2*(EL*(CW^2 - SW^2))/(CW*SW),
     gc82R -> (EL*SW)/CW,
     gc83L -> -1/2*(EL*(CW^2 - SW^2))/(CW*SW),
     gc83R -> (EL*SW)/CW,
     gc84L -> (CW*EL)/(2*SW) - (EL*SW)/(6*CW),
     gc84R -> (-2*EL*SW)/(3*CW),
     gc85L -> (CW*EL)/(2*SW) - (EL*SW)/(6*CW),
     gc85R -> (-2*EL*SW)/(3*CW),
     gc86L -> (CW*EL)/(2*SW) - (EL*SW)/(6*CW),
     gc86R -> (-2*EL*SW)/(3*CW),
     gc87 -> (EL*(CW^2 + SW^2))/(2*CW*SW),
     gc88 -> (EL*(CW^2 + SW^2))/(2*CW*SW),
     gc89 -> (EL*(CW^2 + SW^2))/(2*CW*SW)};

